Bug 1259522 - [GSS](6.4.z) CLI shows 0 for session stats of distributable web apps
[GSS](6.4.z) CLI shows 0 for session stats of distributable web apps
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web (Show other bugs)
6.4.3
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.4
Assigned To: Aaron Ogburn
Radim Hatlapatka
:
Depends On:
Blocks: 1235744
  Show dependency treegraph
 
Reported: 2015-09-02 17:18 EDT by Aaron Ogburn
Modified: 2017-01-17 05:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 05:47:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aaron Ogburn 2015-09-02 17:18:51 EDT
Description of problem:

CLI shows 0 for most session stats of distributable web apps:

    "outcome" => "success",
    "result" => {
        "active-sessions" => 1,
        "context-root" => "/distributablewebapp",
        "duplicated-session-ids" => 0,
        "expired-sessions" => 0,
        "max-active-sessions" => 0,
        "rejected-sessions" => 0,
        "session-avg-alive-time" => 0,
        "session-max-alive-time" => 0,
        "sessions-created" => 0,
        "virtual-host" => "default-host",
        "servlet" => undefined
    }


Version-Release number of selected component (if applicable):

EAP 6.4.3


How reproducible:

Very

Steps to Reproduce:
1. Deploy distributable web app in ha/clustered environment
2. Generate/expire sessions on the distributable web app
3. Check session stats

Actual results:

active-sessions is the only populated metric

Expected results:

other metrics are populated

Additional info:

The WebDeploymentDefinition is fetching those stats for CLI from JBossWeb ManagerBase methods. The clustered app DistributableSessionManager extends ManagerBase, but it used different fields and variables to track these stats instead of the ones provided by the ManagerBase it extended.  But it did not expose those new fields through the standard ManagerBase methods, and so the CLI just gets the original 0 returns for those ManagerBase values that are left unmodified by the clustered DistributableSessionManager.
Comment 2 Rostislav Svoboda 2015-09-03 05:17:11 EDT
qa_acking fo 6.4.z CP
Upstream works fine, fixed in https://issues.jboss.org/browse/WFLY-4792
Comment 3 Radim Hatlapatka 2015-09-22 08:15:07 EDT
Verified with EAP 6.4.4.CP.CR3
Comment 4 Petr Penicka 2017-01-17 05:47:17 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.